* {
    margin: 0;
    padding: 0;
    box-sizing: border-box; 
}

body {
    font-family: 'Inter', sans-serif;
    color: black;
}

.page-header {
    display: flex;
    justify-content: center;
    padding: 28px 0;
    background: black;
}
    
.header-logo {
    display: block;
}

.banner-principal{
   width: 100%; 
}

.banners-meio{
    box-shadow: inset 0 300px #e0e0e0, inset 0 -80px #ffffff;
    display: grid;
    grid-template-columns: repeat(3, max-content);
    gap: 32px;
    margin-top: 144px;
    justify-content: center;
    background: white;
    background-image: url('../images/banner-meio-fundo.png') 
}


   
.top-infocard {
    display: flex;
    align-items: center;
    justify-content: center;
}

.top-infocard-text {
    max-width: 766px;
    margin-top: 66px;
    margin-bottom: 65px;
    text-align: center;
   
}

.top-infocard-subititle{
    text-transform: uppercase;
    font-weight: 400;
    font-size: 32px;
    line-height: 80px;
}

.top-infocard-title {
    margin-bottom: 24px;
    text-transform: uppercase;
    font-weight: 500;
    font-size: 48px;
}

.top-infocard-description {
    font-size: 16px;
    line-height: 24px;
}

.top-infocard-image {
    display: flex;
    justify-content: center;
    margin: auto;
    display: block;
    margin-bottom: 100px;
}
.top-cards {
    display: grid;
    grid-template-columns: repeat(3, max-content);
    gap: 20px;
    justify-content: center;
    background: white;
}
.top-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #FFFFFF;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.23);
}



.bot-infocard {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
}

.bot-infocard-text {
    max-width: 766px;
    margin-top: 66px;
    margin-bottom: 65px;
    text-align: center;
   
}

.bot-infocard-title {
    margin-bottom: 24px;
    text-transform: uppercase;
    font-weight: 500;
    font-size: 32px;
}

.bot-infocard-description {
    font-size: 16px;
    line-height: 24px;
}

.bot-infocard-image {
    display: flex;
    justify-content: center;
    margin: auto;
    display: block;
    margin-bottom: 100px;
}


.top-card-image {
    display: block;
    margin-bottom: 26px;
    margin-top: 46px;
}

.top-card-description{
    max-width: 300px;
    margin-bottom: 20px;
    font-size: 16px;
    line-height: 24px;
    text-align: center;
}

.bot-cards {
    display: grid;
    grid-template-columns: repeat(4, max-content);
    margin-top: 138px;
    gap: 16px;
    justify-content: center;
    background: white;
}
.bot-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #FFFFFF;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.23);
}

.bot-card-image {
    display: block;
    margin-bottom: 26px;
    margin-top: 46px;
}

.bot-card-description{
    max-width: 300px;
    margin-bottom: 20px;
    font-size: 16px;
    line-height: 24px;
    text-align: center;
}

.bannerbot {
    display: flex;
    justify-content: center;
    padding: 28px 0;


}

.page-footer {
    display: flex;
    flex-direction: column;
    align-items: center;
     background: black;

}
.footer-icons {
    display: flex;
    list-style: none;

}

.footer-icon {
    margin: 0 8px;
    margin-bottom: 16px;
    margin-top: 16px;
}

.footer-text {
    text-transform: uppercase;
    font-size: 10px;
    line-height: 12px;
    color: #BDBDBD;
}

@media screen and (max-width: 414px) { 
    .banner-principal-desktop,
    .banners-meio,
    .banner-bot {
        display: none;
    }
}
    
@media screen and (min-width: 415px) {
    .banner-principal-mobile,
    .banners-meio-mobile,
    .banner-bot-mobile {
        display: none;
    }
}

@media screen and (max-width: 768px) {
    .top-infocard {
        flex-direction: colum
        
    }
    .top-infocard-text {
        padding: 35px;
        margin: 0 0 68px
        
    }
    .top-infocard-subititle {
        font-size: 18px;
    }
    .top-infocard-title {
       margin-bottom: 20px;
        font-size: 28px;
    }
    .top-infocard-image { 
        padding: 40px;
        max-width:  240px;
    }
    .top-cards {
        display: grid;
        grid-template-columns: 1fr;
        padding: 36px 26px;
    }
    .page-footer {
        padding-bottom: 26px;
    }
}



@media screen and (max-width: 768px) {
    .bot-infocard {
        flex-direction: colum
        
    }
    .bot-infocard-text {
        padding: 35px;
        margin: 0 0 68px
        
    }
    .bot-infocard-subititle {
        font-size: 18px;
    }
    .bot-infocard-title {
       margin-bottom: 20px;
        font-size: 28px;
    }
    .bot-infocard-image { 
        padding: 40px;
        max-width:  240px;
    }
    .bot-cards {
        display: grid;
        grid-template-columns: 1fr;
        padding: 36px 26px;
    }
}

@media screen and (min-width: 769px) and (max-width: 970px) {
    .top-cards {
        grid-template-columns: repeat(2, max-content);
    }   
   }

   @media screen and (min-width: 769px) and (max-width: 970px) {
    .banners-meio {
        grid-template-columns: repeat(2, max-content);
    }   
   }


   @media screen and (min-width: 769px) and (max-width: 970px) {
    .bot-cards
     {
        grid-template-columns: repeat(2, max-content);
    }   
   }
@media screen and (min-width: 769px) and (max-width: 1400px) {
    
}


    

